### Enumeration

# FwupdPlugin HidDeviceFlags

#### Declaration

    flags FwupdPlugin.HidDeviceFlags

#### Description [src]

Flags used when calling `fu_hid_device_get_report()` and fu_hid_device_set_report().

#### Members

Name | Description
--- | ---
`FU_HID_DEVICE_FLAG_NONE` | No flags set.
`FU_HID_DEVICE_FLAG_ALLOW_TRUNC` | Allow truncated reads and writes.
`FU_HID_DEVICE_FLAG_IS_FEATURE` | Use `FU_HID_REPORT_TYPE_FEATURE` for wValue.
`FU_HID_DEVICE_FLAG_RETRY_FAILURE` | Retry up to 10 times on failure.
`FU_HID_DEVICE_FLAG_NO_KERNEL_UNBIND` | Do not unbind the kernel driver on open.
`FU_HID_DEVICE_FLAG_NO_KERNEL_REBIND` | Do not rebind the kernel driver on close.
`FU_HID_DEVICE_FLAG_USE_INTERRUPT_TRANSFER` | Use interrupt transfers, not control transfers.
`FU_HID_DEVICE_FLAG_AUTODETECT_EPS` | Autodetect interface endpoints.